Subject: Re: [Isis-wg] Initialisation question

From: Hannes Gredler <[email-masked]>
Date: Tue, 21 Aug 2001 09:29:41 +0200

On Mon, Aug 20, 2001 at 03:08:35PM -0700, Henk Smit wrote:
| 
| > | Sorry I should have said that I'd read that bit, but I'm still not
| > | clear exactly what happens. I guess that once two routers are
| adjacent
| > | they exchange CSNPs and then send PSNPs for
| > | any LSPs they are short of or are old? Correct?
| 
|   You have been reading rfc2328, haven't you. :-)
| 
| > correct - for your convenience i have attached a tcpdump
| > to see what happens;

sorry if being unclear - what the
tcpdump shows is initial exchange of CSNPs & LSPs and a PSNP
as _acknowldegement_ for the LSPs they are short of;

/hannes
 
|   Sorry, this is not correct.
| 
|   When a p2p adjacency comes up, both routers:
|  1) for each LSP in the LSPDB, set the SRM bit for this interface
|  2) send a CSNP (note, can consist of multiple packets)
|  3) wait for a while to give the other router some time to send a CSNP
|  4) hopefully receive a CNSP
|  5) when they receive the CSNP from the other side, clear the SRM bit
|     for all LSPs that the other router already seems to have
|  6) send all LSPs that still have the SRM bit set
| 
|   If the CSNP from the other router gets lost somewhere, you will end
|  up sending all LSPs. This might be some unnecessary work, but it will
|  guarantee that the LSPDBs will be in sync.
| 
|     henk.
| 
| 
| > 
| > | 
| > | 
| > | On Sun, 19 Aug 2001, Hannes Gredler wrote:
| > | 
| > | > On Sun, Aug 19, 2001 at 09:44:34AM +0000, John Greenhalgh wrote:
| > | > | Hi,
| > | > | 
| > | > | I'm looking through ISO 10589 and trying to understand how
| routers learn
| > | > | the link state database once adjacencies have been formed. For
| broadcast I
| > | > | gather that the CSNP from the DIS will initiate an update, but
| what about
| > | > | on point-to-point? Any pointers gladly received!
| > | > 
| > | > john,
| > | > 
| > | > take a look at paragraph 7.3.20.2.e where it says:
| > | > 
| > | > [ ... ] CSNPs are transmited on
| > | > point-to-point circuits at initialisation.
| > | > 
| > | > HTH,
| > | > 
| > | > /hannes
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg